Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Interface Model

All Superinterfaces:
  AVList, EventListener, PropertyChangeListener, WWObject

All Known Implementing Classes:
  BasicModel

    public interface Model

extends WWObject

Method Summary
`Extent` | `getExtent()`
`Globe` | `getGlobe()`
`LayerList` | `getLayers()`
`Tessellator` | `getTessellator()`
`boolean` | `isShowTessellationBoundingVolumes()`
`boolean` | `isShowWireframeExterior()`
`boolean` | `isShowWireframeInterior()`
`void` | `setGlobe(Globe globe)`
`void` | `setLayers(LayerList layers)`
`void` | `setShowTessellationBoundingVolumes(boolean showTileBoundingVolumes)`
`void` | `setShowWireframeExterior(boolean show)`
`void` | `setShowWireframeInterior(boolean show)`
`void` | `setTessellator(Tessellator tessellator)`

Methods inherited from interface gov.nasa.worldwind.AVList
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Method Detail

### getExtent

    Extent getExtent()

### getGlobe

    Globe getGlobe()

### getLayers

    LayerList getLayers()

### getTessellator

    Tessellator getTessellator()

### isShowTessellationBoundingVolumes

    boolean isShowTessellationBoundingVolumes()

### isShowWireframeExterior

    boolean isShowWireframeExterior()

### isShowWireframeInterior

    boolean isShowWireframeInterior()

### setGlobe

    void setGlobe(Globe globe)

### setLayers

    void setLayers(LayerList layers)

### setShowTessellationBoundingVolumes

    void setShowTessellationBoundingVolumes(boolean showTileBoundingVolumes)

### setShowWireframeExterior

    void setShowWireframeExterior(boolean show)

### setShowWireframeInterior

    void setShowWireframeInterior(boolean show)

### setTessellator

    void setTessellator(Tessellator tessellator)

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD